For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet filter
      • PUTUpdate filter
      • DELDelete filter
      • GETList filters
      • POSTCreate filters (one per seat)
LogoLogo
API ReferenceFilters

List filters

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id/filters
GET
/rest/accounts/:account_id/campaigns/:campaign_id/filters
$curl https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/filters \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "filters": [
4 {
5 "type": "filter_LP",
6 "status": "RUN",
7 "filters": {
8 "data_cleansing": true,
9 "include_degree_1": true
10 },
11 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
12 "url_page": "https://www.linkedin.com/search/results/people/?keywords=ceos%20michigan&network=%5B%22S%22%5D&sid=p-e",
13 "filter_id": "filter_4357423a0c38093766fa",
14 "account_id": "ACCO136ce10b5f8a7682efb3",
15 "created_at": 1756556153805,
16 "campaign_id": "campaign_79dc16be15ff633fb8dc",
17 "max_profiles": 500,
18 "filter_group_id": "filter_group_7a935bd04ec72fe08ee9",
19 "profile_fetch_type": "LAZY"
20 }
21 ]
22}
List filters for a campaign.
Was this page helpful?
Previous

Delete filter

Next

Create filters (one per seat)

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired

Response

This endpoint returns an object.
successboolean
filterslist of objects
last_keyany